;InnoSetupVersion=2.0.18

[Setup]
AppName=HTML-Kit
AppVerName=HTML-Kit
AppId=HTMLKit
AppVersion=1.0
AppPublisher=Chami.com
AppPublisherURL=http://www.chami.com/html-kit/
AppSupportURL=http://www.chami.com/html-kit/help/
AppUpdatesURL=http://www.chami.com/html-kit/news/
AppMutex=ChamiHTMLKitMutex
DefaultDirName={pf}\Chami\HTML-Kit
DefaultGroupName=HTML-Kit
UninstallDisplayIcon={app}\Bin\HTMLKit.exe
OutputBaseFilename=HKSetup
Compression=bzip2
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Bin\HTMLKit.exe"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\ResetCfg.exe"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\hkUtils.dll"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\wallpapr.bmp"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\weblinks.txt"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\w95stub.exe"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\HKSendTo.exe"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\hkpCJNI.dll"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\HKPCore.class"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\hkpcore.pm"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\hkpcore.php"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\hkpcorem.py"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\hkpcore.rb"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Bin\hkScript.dll"; DestDir: "{app}\Bin"; Components: main; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; Components: main; 
Source: "{app}\License.txt"; DestDir: "{app}"; Components: main; 
Source: "{app}\HTML-Kit Home Page.url"; DestDir: "{app}"; Components: main; 
Source: "{app}\HTML-Kit Plugins Page.url"; DestDir: "{app}"; Components: main; 
Source: "{app}\HTML-Kit Support Page.url"; DestDir: "{app}"; Components: main; 
Source: "{app}\Data\Default\user.hmc"; DestDir: "{app}\Data\Default"; Components: main; 
Source: "{app}\Data\Default\Default.hkc"; DestDir: "{app}\Data\Default"; Components: main; 
Source: "{app}\Data\Default\Default.hft"; DestDir: "{app}\Data\Default"; Components: main; 
Source: "{app}\Data\Default\Default.hmd"; DestDir: "{app}\Data\Default"; Components: main; 
Source: "{app}\Proof\readme.txt"; DestDir: "{app}\Proof"; Components: main; 
Source: "{app}\Proof\spelling.inf"; DestDir: "{app}\Proof"; Components: main; 
Source: "{app}\Help\Help.txt"; DestDir: "{app}\Help"; Components: main; 
Source: "{app}\Help\Keywords\ms.hkh"; DestDir: "{app}\Help\Keywords"; Components: help; 
Source: "{app}\Help\Keywords\w3c.hkh"; DestDir: "{app}\Help\Keywords"; Components: help; 
Source: "{app}\Help\Keywords\msvb.hkh"; DestDir: "{app}\Help\Keywords"; Components: help; 
Source: "{app}\Help\Keywords\ns.hkh"; DestDir: "{app}\Help\Keywords"; Components: help; 
Source: "{app}\Help\Keywords\php.hkh"; DestDir: "{app}\Help\Keywords"; Components: help; 
Source: "{app}\Help\Keywords\msjs.hkh"; DestDir: "{app}\Help\Keywords"; Components: help; 
Source: "{app}\Data\Snippets\Default\popupwin.htm"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Snippets\Default\aclrtext.htm"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Snippets\Default\backforw.htm"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Snippets\Default\dropdown.htm"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Snippets\Default\files.inf"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Snippets\Default\hover_a.htm"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Snippets\Default\pagebrk.htm"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Snippets\Default\pickclrs.htm"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Snippets\Default\aclrtext.bmp"; DestDir: "{app}\Data\Snippets\Default"; Components: snippets; 
Source: "{app}\Data\Template\Default\robots.txt"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\blank.css"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\blank.hkh"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\blank.htm"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\blank.txt"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\blankhtm.bmp"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\faq.bmp"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\faq.htm"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\files.inf"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\hover_a.css"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\nouline.css"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Data\Template\Default\redirect.htm"; DestDir: "{app}\Data\Template\Default"; Components: templates; 
Source: "{app}\Plugins\HTMLTidy.dll"; DestDir: "{app}\Plugins"; Components: p_tidy; 
Source: "{app}\Plugins\WebTools.dll"; DestDir: "{app}\Plugins"; Components: p_web; 
Source: "{app}\Plugins\Tags.dll"; DestDir: "{app}\Plugins"; Components: p_tags; 
Source: "{app}\Plugins\Tools.dll"; DestDir: "{app}\Plugins"; Components: p_tools; 

[Dirs]
Name: "{app}\Temp"; Flags: uninsalwaysuninstall 
Name: "{app}\Cache"; Flags: uninsalwaysuninstall 
Name: "{app}\Backup"; Flags: uninsalwaysuninstall 
Name: "{app}\Bin"; Flags: uninsalwaysuninstall 
Name: "{app}\Data"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Default"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Template"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Snippets"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Snippets\User"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Snippets\Default"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Template\User"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Template\Default"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Logs"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Logs\User"; Flags: uninsalwaysuninstall 
Name: "{app}\Data\Logs\Default"; Flags: uninsalwaysuninstall 
Name: "{app}\Plugins"; Flags: uninsalwaysuninstall 
Name: "{app}\Help"; Flags: uninsalwaysuninstall 
Name: "{app}\Help\Keywords"; Flags: uninsalwaysuninstall 
Name: "{app}\Help\Content"; Flags: uninsalwaysuninstall 
Name: "{app}\Help\Program"; Flags: uninsalwaysuninstall 
Name: "{app}\Proof"; Flags: uninsalwaysuninstall 
Name: "{app}\Plugins\Config"; Flags: uninsalwaysuninstall 
Name: "{app}\Plugins\Lib"; Flags: uninsalwaysuninstall 
Name: "{app}\Plugins\Bin"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCU; Subkey: "Software\Chami\HTML-Kit"; ValueName: "Root"; ValueType: String; ValueData: "{app}"; Components: main; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit"; ValueName: "CurrentVersion"; ValueType: String; ValueData: "1.0"; Components: main; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit"; ValueName: "CurrentBuild"; ValueType: String; ValueData: "292"; Components: main; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\FirstTime"; ValueName: "ProductTour"; ValueType: String; ValueData: "1"; Components: main; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings"; ValueName: "HKPCacheCount"; ValueType: String; ValueData: "0"; Components: main; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\Uninstall"; ValueName: "Uninstalled"; ValueType: String; ValueData: "0"; Components: main; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\FirstTime"; ValueName: "DownloadLinks"; ValueType: String; ValueData: "1"; Components: main; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\FirstTime"; ValueName: "DetectBrowsers"; ValueType: String; ValueData: "1"; Components: main; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\FirstTime"; ValueName: "DetectPrograms"; ValueType: String; ValueData: "1"; Components: main; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\FirstTime"; ValueName: "AddColorCodedExtensions"; ValueType: String; ValueData: "1"; Components: main; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\FirstTime"; ValueName: "UpdateKeyboardShortcuts"; ValueType: String; ValueData: "1"; Components: main; Flags: uninsdeletevalue uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\VersionInfo"; ValueName: "WebLinksTimeStamp"; ValueType: String; ValueData: "MMDDYYYY"; Components: main; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\VersionInfo"; ValueName: "VerFirstTime"; ValueType: String; ValueData: "1"; Components: main; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings\VersionInfo"; ValueName: "TestOver"; ValueType: String; ValueData: "0"; Components: main; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Chami\HTML-Kit\1.0\Settings"; ValueName: "FirstRun"; ValueType: String; ValueData: "1"; Components: main; Flags: uninsdeletevalue uninsdeletekeyifempty 

[Run]
Filename: "{app}\Bin\ResetCfg.exe"; Parameters: "-i"; Components: main; 
Filename: "{app}\Bin\HTMLKit.exe"; Parameters: "/setup"; WorkingDir: "{app}\Bin"; Description: "Start HTML-Kit"; Components: main; Flags: postinstall nowait
Filename: "{app}\HTML-Kit Plugins Page.url"; WorkingDir: "{app}"; Description: "Download optional plugins and other add-ons from the web"; Components: main; Flags: shellexec postinstall unchecked nowait

[UninstallRun]
Filename: "{app}\Bin\ResetCfg.exe"; Parameters: "-u"; RunOnceId: "HKUninst"; Components: main; 

[Icons]
Name: "{group}\HTML-Kit"; Filename: "{app}\Bin\HTMLKit.exe"; WorkingDir: "{app}\Bin"; Comment: "Start HTML-Kit"; Components: main; 
Name: "{group}\Readme"; Filename: "{app}\Readme.txt"; WorkingDir: "{app}"; Comment: "HTML-Kit ReadMe File"; Components: main; 
Name: "{group}\HTML-Kit Home Page"; Filename: "{app}\HTML-Kit Home Page.url"; WorkingDir: "{app}"; Comment: "Visit the HTML-Kit Home Page"; Components: main; 
Name: "{group}\HTML-Kit Plugins Page"; Filename: "{app}\HTML-Kit Plugins Page.url"; WorkingDir: "{app}"; Comment: "Visit the HTML-Kit Plugins Page"; Components: main; 
Name: "{group}\HTML-Kit Support Page"; Filename: "{app}\HTML-Kit Support Page.url"; WorkingDir: "{app}"; Comment: "Visit the HTML-Kit Support Page"; Components: main; 
Name: "{group}\License Agreement"; Filename: "{app}\License.txt"; WorkingDir: "{app}"; Comment: "HTML-Kit License Agreement"; Components: main; 
Name: "{group}\Reset Settings"; Filename: "{app}\Bin\ResetCfg.exe"; Parameters: "-r"; WorkingDir: "{app}\Bin"; Comment: "Reset HTML-Kit Settings"; Components: main; 

[Components]
Name: "main"; Description: "HTML-Kit Application Files"; Types: "full custom"; 
Name: "help"; Description: "Help References  -  HTML / XHTML, CSS, JavaScript, VBScript & more"; Types: "full"; 
Name: "p_tags"; Description: "Tag Helpers  -  HTML / XHTML TagWizards, CSS Properties and more"; Types: "full"; 
Name: "p_tools"; Description: "Tools  -  Color Picker, Stylesheet Editors, Prototype Pad & more"; Types: "full"; 
Name: "p_tidy"; Description: "HTML Tidy  -  Check, correct, format and convert HTML / XHTML / XML"; Types: "full"; 
Name: "p_web"; Description: "Online Tools  -  W3C & WDG  HTML / XHTML / CSS Validators & more"; Types: "full"; 
Name: "templates"; Description: "Default Code Snippets"; Types: "full"; 
Name: "snippets"; Description: "Default Code Templates"; Types: "full"; 

[InstallDelete]
Type: files; Name: "{app}\Help\Keywords\ms.hkh"; Components: main; 
Type: files; Name: "{app}\Help\Keywords\w3c.hkh"; Components: main; 
Type: files; Name: "{app}\Help\Keywords\msvb.hkh"; Components: main; 
Type: files; Name: "{app}\Help\Keywords\ns.hkh"; Components: main; 
Type: files; Name: "{app}\Help\Keywords\php.hkh"; Components: main; 
Type: files; Name: "{app}\Help\Keywords\msjs.hkh"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\popupwin.htm"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\aclrtext.htm"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\backforw.htm"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\dropdown.htm"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\files.inf"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\hover_a.htm"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\pagebrk.htm"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\pickclrs.htm"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\aclrtext.bmp"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\robots.txt"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\blank.css"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\blank.hkh"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\blank.htm"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\blank.txt"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\blankhtm.bmp"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\faq.bmp"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\faq.htm"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\files.inf"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\hover_a.css"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\nouline.css"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\redirect.htm"; Components: main; 
Type: files; Name: "{app}\Plugins\HTMLTidy.dll"; Components: main; 
Type: files; Name: "{app}\Plugins\WebTools.dll"; Components: main; 
Type: files; Name: "{app}\Plugins\Tags.dll"; Components: main; 
Type: files; Name: "{app}\Plugins\Tools.dll"; Components: main; 
Type: files; Name: "{app}\Plugins\DateTime.dll"; Components: main; 
Type: files; Name: "{app}\Plugins\Tab2Spc.dll"; Components: main; 
Type: files; Name: "{app}\Plugins\hkScript.dll"; Components: main; 
Type: files; Name: "{app}\Cache\plugins.dat"; Components: main; 
Type: files; Name: "{app}\Temp\debug.log"; Components: main; 
Type: files; Name: "{app}\Data\Snippets\Default\lastdate.htm"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\privacy.htm"; Components: main; 
Type: files; Name: "{app}\Data\Template\Default\adinfo.htm"; Components: main; 
Type: files; Name: "{app}\Bin\hklib.dll"; Components: main; 

[UninstallDelete]
Type: filesandordirs; Name: "{app}\Temp\*.*"; Components: main; 
Type: filesandordirs; Name: "{app}\Cache\*.*"; Components: main; 
Type: dirifempty; Name: "{app}\Temp"; Components: main; 
Type: dirifempty; Name: "{app}\Cache"; Components: main; 
Type: dirifempty; Name: "{app}\Backup"; Components: main; 
Type: files; Name: "{app}\Bin\weblinks.txt"; Components: main; 
Type: files; Name: "{app}\Bin\hkpcorem.pyc"; Components: main; 
Type: dirifempty; Name: "{app}\Bin"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Snippets\Default"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Snippets\User"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Template\Default"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Template\User"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Default"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Snippets"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Template"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Logs\Default"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Logs\User"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Logs"; Components: main; 
Type: dirifempty; Name: "{app}\Data"; Components: main; 
Type: dirifempty; Name: "{app}\Help\Keywords"; Components: main; 
Type: dirifempty; Name: "{app}\Help\Content"; Components: main; 
Type: dirifempty; Name: "{app}\Help\Program"; Components: main; 
Type: dirifempty; Name: "{app}\Help"; Components: main; 
Type: dirifempty; Name: "{app}\Plugins\Config"; Components: main; 
Type: dirifempty; Name: "{app}\Plugins\Lib"; Components: main; 
Type: dirifempty; Name: "{app}\Plugins\Bin"; Components: main; 
Type: dirifempty; Name: "{app}\Data\Config"; Components: main; 
Type: files; Name: "{app}\Plugins\hk_php_s.php"; Components: main; 
Type: dirifempty; Name: "{app}\Plugins"; Components: main; 
Type: files; Name: "{app}\Proof\spelling.inf"; Components: main; 
Type: dirifempty; Name: "{app}\Proof"; Components: main; 
Type: files; Name: "{app}\unins*.dat"; Components: main; 
Type: files; Name: "{app}\unins*.msg"; Components: main; 
Type: files; Name: "{app}\unins*.exe"; Components: main; 
Type: files; Name: "{app}\deis*.isu"; Components: main; 
Type: files; Name: "{app}\isstub32.exe"; Components: main; 
Type: files; Name: "{app}\isun32ex.exe"; Components: main; 
Type: files; Name: "{app}\_deisreg.isr"; Components: main; 
Type: files; Name: "{app}\_isreg32.dll"; Components: main; 
Type: dirifempty; Name: "{app}"; Components: main; 

[Types]
Name: "full"; Description: "Full Installation (Recommended)"; 
Name: "custom"; Description: "Advanced Custom Installation"; 
